# FoundationClasses
TKernel
Storage

# Storage_DataMapNodeOfMapOfPers Class Reference

`#include <Storage_DataMapNodeOfMapOfPers.hxx>`

Inheritance diagram for Storage_DataMapNodeOfMapOfPers:

[legend]

## Public Member Functions

| Storage_DataMapNodeOfMapOfPers (const TCollection_AsciiString &K, const Handle(Storage_Root)&I, const TCollection_MapNodePtr &n)
TCollection_AsciiString & | Key () const
Handle_Storage_Root & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TCollection_AsciiString | myKey
Handle_Storage_Root | myValue

## Constructor & Destructor Documentation

Storage_DataMapNodeOfMapOfPers::Storage_DataMapNodeOfMapOfPers | ( | const TCollection_AsciiString & | K,
|  | const Handle(Storage_Root)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const Storage_DataMapNodeOfMapOfPers::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TCollection_MapNode.

TCollection_AsciiString& Storage_DataMapNodeOfMapOfPers::Key | ( |  | ) | const

Handle_Storage_Root& Storage_DataMapNodeOfMapOfPers::Value | ( |  | ) | const

## Field Documentation

TCollection_AsciiString Storage_DataMapNodeOfMapOfPers::myKey `[private]`

Handle_Storage_Root Storage_DataMapNodeOfMapOfPers::myValue `[private]`

The documentation for this class was generated from the following file:

- Storage_DataMapNodeOfMapOfPers.hxx